// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include "MatchMakingQueries.h"

FindSessionsByGameType::FindSessionsByGameType(	bdUInt maxNumResults,
										 	     bdInt pGameType)
: bdCustomQueryParams(FINDSESSIONSBYGAMETYPE, maxNumResults ),
  m_pGameType(pGameType)
{
}

void FindSessionsByGameType::serialize(bdBitBuffer& buffer)
{
    bdCustomQueryParams::serialize(buffer);

	buffer.writeInt32(m_pGameType);
}

